<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-car-heading">Create or edit a Car</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_name">Name</label>
                    <input type="text" class="form-control" name="name" id="field_name"
                           formControlName="name"/>
                    <div *ngIf="editForm.get('name')!.invalid && (editForm.get('name')!.dirty || editForm.get('name')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('name')?.errors?.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_model">Model</label>
                    <input type="text" class="form-control" name="model" id="field_model"
                           formControlName="model"/>
                    <div *ngIf="editForm.get('model')!.invalid && (editForm.get('model')!.dirty || editForm.get('model')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('model')?.errors?.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_capacity">Capacity</label>
                    <input type="number" class="form-control" name="capacity" id="field_capacity"
                           formControlName="capacity"/>
                    <div *ngIf="editForm.get('capacity')!.invalid && (editForm.get('capacity')!.dirty || editForm.get('capacity')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('capacity')?.errors?.min">
                            This field should be at least 1.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.get('capacity')?.errors?.number">
                            This field should be a number.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_registrationNumber">Registration Number</label>
                    <input type="text" class="form-control" name="registrationNumber" id="field_registrationNumber"
                           formControlName="registrationNumber"/>
                    <div *ngIf="editForm.get('registrationNumber')!.invalid && (editForm.get('registrationNumber')!.dirty || editForm.get('registrationNumber')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('registrationNumber')?.errors?.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_rate">Rate</label>
                    <input type="number" class="form-control" name="rate" id="field_rate"
                           formControlName="rate"/>
                    <div *ngIf="editForm.get('rate')!.invalid && (editForm.get('rate')!.dirty || editForm.get('rate')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('rate')?.errors?.min">
                            This field should be at least 1.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.get('rate')?.errors?.number">
                            This field should be a number.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_status">Status</label>
                    <select class="form-control" name="status" formControlName="status" id="field_status">
                        <option value="BOOKED">BOOKED</option>
                        <option value="FREE">FREE</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_image">Image</label>
                    <div>
                        <img [src]="'data:' + editForm.get('imageContentType')!.value + ';base64,' + editForm.get('image')!.value" style="max-height: 100px;" *ngIf="editForm.get('image')!.value" alt="car image"/>
                        <div *ngIf="editForm.get('image')!.value" class="form-text text-danger clearfix">
                            <span class="pull-left">{{ editForm.get('imageContentType')!.value }}, {{ byteSize(editForm.get('image')!.value) }}</span>
                            <button type="button" (click)="clearInputImage('image', 'imageContentType', 'file_image')" class="btn btn-secondary btn-xs pull-right">
                                <fa-icon icon="times"></fa-icon>
                            </button>
                        </div>
                        <input type="file" id="file_image" (change)="setFileData($event, 'image', true)" accept="image/*"/>
                    </div>
                    <input type="hidden" class="form-control" name="image" id="field_image"
                           formControlName="image"/>
                    <input type="hidden" class="form-control" name="imageContentType" id="field_imageContentType"
                           formControlName="imageContentType" />
                    <div *ngIf="editForm.get('image')!.invalid && (editForm.get('image')!.dirty || editForm.get('image')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('image')?.errors?.required">
                        This field is required.
                        </small>
                    </div>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
